<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Introduction to rdb • rdb</title>
<script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet">
<script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet">
<link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet">
<script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Introduction to rdb">
<meta name="robots" content="noindex">
<script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script>
</head>
<body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto">
<li class="active nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul>
<ul class="navbar-nav">
<li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json">
</form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch">
<li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul>
</li>
      </ul>
</div>


  </div>
</nav><div class="container template-article">



<link href="rdb_files/htmltools-fill-0.5.8.1/fill.css" rel="stylesheet">
<script src="rdb_files/htmlwidgets-1.6.4/htmlwidgets.js"></script><script src="rdb_files/plotly-binding-4.10.4.9000/plotly.js"></script><script src="rdb_files/typedarray-0.1/typedarray.min.js"></script><link href="rdb_files/crosstalk-1.2.1/css/crosstalk.min.css" rel="stylesheet">
<script src="rdb_files/crosstalk-1.2.1/js/crosstalk.min.js"></script><link href="rdb_files/plotly-htmlwidgets-css-2.11.1/plotly-htmlwidgets.css" rel="stylesheet">
<script src="rdb_files/plotly-main-2.11.1/plotly-latest.min.js"></script><div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Introduction to rdb</h1>
            
      
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb/blob/HEAD/vignettes/rdb.Rmd" class="external-link"><code>vignettes/rdb.Rmd</code></a></small>
      <div class="d-none name"><code>rdb.Rmd</code></div>
    </div>

    
    
<div class="section level2">
<h2 id="installation">Installation<a class="anchor" aria-label="anchor" href="#installation"></a>
</h2>
<p>rdb is not on CRAN yet<a class="footnote-ref" tabindex="0" data-bs-toggle="popover" data-bs-content="&lt;p&gt;We will probably release the package on CRAN once the
current database and backend overhaul is complete and the rdb R package
is properly adapted to use the new infrastructure, as well as
sufficiently tested. This will most likely not happen before the end of
2024.&lt;/p&gt;"><sup>1</sup></a>, but you can install the package directly
from the development source code repository’s <a href="https://gitlab.com/zdaarau/rpkgs/rdb/-/tree/master" class="external-link"><code>master</code>
branch</a>, which we try to keep in a working state at all times.</p>
<p>To install the latest development version of rdb, run the following
in R:</p>
<div class="sourceCode" id="cb1"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="kw">if</span> <span class="op">(</span><span class="op">!</span><span class="op">(</span><span class="st">"remotes"</span> <span class="op"><a href="https://rdrr.io/r/base/match.html" class="external-link">%in%</a></span> <span class="fu"><a href="https://rdrr.io/r/base/colnames.html" class="external-link">rownames</a></span><span class="op">(</span><span class="fu"><a href="https://rdrr.io/r/utils/installed.packages.html" class="external-link">installed.packages</a></span><span class="op">(</span><span class="op">)</span><span class="op">)</span><span class="op">)</span><span class="op">)</span> <span class="op">{</span></span>
<span>  <span class="fu"><a href="https://rdrr.io/r/utils/install.packages.html" class="external-link">install.packages</a></span><span class="op">(</span>pkgs <span class="op">=</span> <span class="st">"remotes"</span>,</span>
<span>                   repos <span class="op">=</span> <span class="st">"https://cloud.r-project.org/"</span><span class="op">)</span></span>
<span><span class="op">}</span></span>
<span></span>
<span><span class="fu">remotes</span><span class="fu">::</span><span class="fu"><a href="https://remotes.r-lib.org/reference/install_gitlab.html" class="external-link">install_gitlab</a></span><span class="op">(</span>repo <span class="op">=</span> <span class="st">"zdaarau/rpkgs/rdb"</span><span class="op">)</span></span></code></pre></div>
</div>
<div class="section level2">
<h2 id="usage">Usage<a class="anchor" aria-label="anchor" href="#usage"></a>
</h2>
<div class="section level3">
<h3 id="get-data">Get data<a class="anchor" aria-label="anchor" href="#get-data"></a>
</h3>
<p>You can download RDB referendum data via the two functions
<code><a href="../reference/rfrnd.html">rdb::rfrnd()</a></code> and <code><a href="../reference/rfrnds.html">rdb::rfrnds()</a></code>. The former one
fetches the data of a single referendum only, of which you must already
know its uniqe RDB <a href="https://rdb.rpkg.dev/articles/codebook.html#id"><code>id</code></a>.
The latter function allows to retrieve data for an arbitrary number of
referendums, depending on the conditions you specify via the <a href="https://rdb.rpkg.dev/reference/rfrnds.html#arguments">function’s
various arguments</a>.</p>
<p>To simply retrieve <em>all</em> referendums in the database
(excluding draft entries), run</p>
<div class="sourceCode" id="cb2"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/rfrnds.html">rfrnds</a></span><span class="op">(</span><span class="op">)</span></span></code></pre></div>
<p>which should output a <a href="https://tibble.tidyverse.org/" class="external-link">tibble</a> like this one:</p>
<pre><code><span><span class="co">#&gt; <span style="color: #949494;"># A tibble: 17,892 × 67</span></span></span>
<span><span class="co">#&gt;    id            id_official id_sudd country_code country_name subnational_entity_n…¹ municipality level date       is_former_country title_en title_de title_fr</span></span>
<span><span class="co">#&gt;    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>         <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>       <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                  <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;ord&gt;</span> <span style="color: #949494; font-style: italic;">&lt;date&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   </span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 1</span> 670cd145c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Zug                    <span style="color: #BB0000;">NA</span>           subn… 2024-06-09 <span style="color: #BB0000;">NA</span>                Cycling… Velonet… <span style="color: #BB0000;">NA</span>      </span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 2</span> 66fff490c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      LI           Liechtenste… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2024-09-22 <span style="color: #BB0000;">NA</span>                Referen… Referen… <span style="color: #BB0000;">NA</span>      </span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 3</span> 66ffdfe3c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Jura                   <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Act con… <span style="color: #BB0000;">NA</span>       Acte re…</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 4</span> 66ffdc31c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Uri                    <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Energy … Energie… <span style="color: #BB0000;">NA</span>      </span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 5</span> 66ffd956c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Uri                    <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Partial… Teilrev… <span style="color: #BB0000;">NA</span>      </span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 6</span> 66ffbf93c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Nidwalden              <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Amendme… Änderun… <span style="color: #BB0000;">NA</span>      </span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 7</span> 66f686cfc3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Bern                   <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Concord… Konkord… <span style="color: #BB0000;">NA</span>      </span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 8</span> 66f68317c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Bern                   <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Amendme… Änderun… <span style="color: #BB0000;">NA</span>      </span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 9</span> 66d6da9cc3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Basel Landschaft       <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Partial… Teilrev… <span style="color: #BB0000;">NA</span>      </span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;">10</span> 66cde603c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Graubünden             <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                New civ… Neubau … <span style="color: #BB0000;">NA</span>      </span></span>
<span><span class="co">#&gt; <span style="color: #949494;"># ℹ 17,882 more rows</span></span></span>
<span><span class="co">#&gt; <span style="color: #949494;"># ℹ abbreviated name: ¹​subnational_entity_name</span></span></span>
<span><span class="co">#&gt; <span style="color: #949494;"># ℹ 54 more variables: question &lt;chr&gt;, question_en &lt;chr&gt;, committee_name &lt;chr&gt;, result &lt;fct&gt;, subterritories_yes &lt;dbl&gt;, subterritories_no &lt;dbl&gt;,</span></span></span>
<span><span class="co">#&gt; <span style="color: #949494;">#   electorate_total &lt;int&gt;, electorate_abroad &lt;int&gt;, votes_yes &lt;int&gt;, votes_no &lt;int&gt;, votes_empty &lt;int&gt;, votes_invalid &lt;int&gt;, votes_per_subterritory &lt;list&gt;,</span></span></span>
<span><span class="co">#&gt; <span style="color: #949494;">#   lower_house_yes &lt;int&gt;, lower_house_no &lt;int&gt;, lower_house_abstentions &lt;int&gt;, upper_house_yes &lt;int&gt;, upper_house_no &lt;int&gt;, upper_house_abstentions &lt;int&gt;,</span></span></span>
<span><span class="co">#&gt; <span style="color: #949494;">#   position_government &lt;fct&gt;, topics_tier_1 &lt;list&gt;, topics_tier_2 &lt;list&gt;, topics_tier_3 &lt;list&gt;, remarks &lt;chr&gt;, files &lt;list&gt;, sources &lt;chr&gt;, is_draft &lt;lgl&gt;,</span></span></span>
<span><span class="co">#&gt; <span style="color: #949494;">#   date_time_created &lt;dttm&gt;, date_time_last_edited &lt;dttm&gt;, type &lt;fct&gt;, inst_legal_basis_type &lt;ord&gt;, inst_has_urgent_legal_basis &lt;lgl&gt;, …</span></span></span></code></pre>
<p>The RDB referendum data’s individual variables (columns) are
documented in the <a href="https://rdb.rpkg.dev/articles/codebook.html">codebook</a>. It is
also available as a dataset via <code><a href="../reference/data_codebook.html">rdb::data_codebook</a></code>.</p>
<p>Results of <code><a href="../reference/rfrnds.html">rdb::rfrnds()</a></code> and some other functions in
this package are by default cached on disk using <a href="https://pkgpins.rpkg.dev/" class="external-link">pkgpins</a><a class="footnote-ref" tabindex="0" data-bs-toggle="popover" data-bs-content='&lt;p&gt;Caching happens per unique combination of
&lt;em&gt;evaluated&lt;/em&gt; function arguments (excluding any of the arguments
&lt;code&gt;incl_archive&lt;/code&gt;, &lt;code&gt;use_cache&lt;/code&gt;,
&lt;code&gt;max_cache_age&lt;/code&gt; and &lt;code&gt;quiet&lt;/code&gt;). This means that when
&lt;code&gt;&lt;a href="../reference/rfrnds.html"&gt;rdb::rfrnds()&lt;/a&gt;&lt;/code&gt; is invoked two times in a row with the exact
same set of arguments, say &lt;code&gt;country_code = "CH"&lt;/code&gt; and
&lt;code&gt;level = c("national", "subnational")&lt;/code&gt;, the second invocation
will read the result from disk and thus is considerably faster (as long
as &lt;code&gt;use_cache&lt;/code&gt; is set to &lt;code&gt;TRUE&lt;/code&gt; and
&lt;code&gt;max_cache_age&lt;/code&gt; is set to a timespan greater than the delay
between invocations).&lt;/p&gt;
&lt;p&gt;Since every argument combination is cached separately, altering the
arguments will inevitably result in a new cache entry, regardless
whether the actual data would technically already be present in an
existing cache entry. E.g.
&lt;code&gt;rdb::rfrnds(country_code = "CH", level = "national")&lt;/code&gt;
returns a perfect subset of the just mentioned invocation, nevertheless
the data is freshly fetched the first time it is run.&lt;/p&gt;'><sup>2</sup></a>. You can define the
maximum age of cached results you’re willing to tolerate via the
argument <code>max_cache_age</code> (defaults to a week). It accepts
anything that can be successfully converted to a <a href="https://lubridate.tidyverse.org/reference/as.duration.html" class="external-link">lubridate
duration</a> – e.g. a string like <code>"3 hours"</code>,
<code>"2 days"</code> or <code>"1 week"</code>, or a number which will
simply be interpreted as <em>number of seconds</em>.</p>
<p>To only re-download RDB data once every 4 hours and 48 minutes for
example, use</p>
<div class="sourceCode" id="cb4"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/rfrnds.html">rfrnds</a></span><span class="op">(</span>max_cache_age <span class="op">=</span> <span class="st">"4 hours 48 minutes"</span><span class="op">)</span></span></code></pre></div>
<p>Although we usually advise against it, you can also completely opt
out of caching by specifying <code>use_cache = FALSE</code>. However,
please make sure to not run such code in excess, as it creates
additional (and most likely unnecessary) load on our servers.</p>
</div>
<div class="section level3">
<h3 id="augment-data">Augment data<a class="anchor" aria-label="anchor" href="#augment-data"></a>
</h3>
<p>rdb includes various functions to augment the referendum data by
additional information which wouldn’t make sense to be stored in the RDB
itself.</p>
<p>For example, you can add the period (week, month, quarter, year,
decade or century) in which a referendum took place using
<code><a href="../reference/add_period.html">rdb::add_period()</a></code>. By default, the recurring numeric week
number of the year is added (i.e. <code>period = "week"</code>):</p>
<div class="sourceCode" id="cb5"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/rfrnds.html">rfrnds</a></span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span></span>
<span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/add_period.html">add_period</a></span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span></span>
<span>  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html" class="external-link">select</a></span><span class="op">(</span><span class="va">id</span>, <span class="va">date</span>, <span class="va">week</span><span class="op">)</span></span>
<span><span class="co">#&gt; <span style="color: #949494;"># A tibble: 17,892 × 3</span></span></span>
<span><span class="co">#&gt;    id                       date        week</span></span>
<span><span class="co">#&gt;    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                    <span style="color: #949494; font-style: italic;">&lt;date&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;int&gt;</span></span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 1</span> 670cd145c3cd67046058015c 2024-06-09    23</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 2</span> 66fff490c3cd670460580111 2024-09-22    38</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 3</span> 66ffdfe3c3cd6704605800fc 2024-09-22    38</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 4</span> 66ffdc31c3cd6704605800ee 2024-09-22    38</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 5</span> 66ffd956c3cd6704605800ec 2024-09-22    38</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 6</span> 66ffbf93c3cd6704605800df 2024-09-22    38</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 7</span> 66f686cfc3cd6704605800a0 2024-09-22    38</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 8</span> 66f68317c3cd67046058009c 2024-09-22    38</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;"> 9</span> 66d6da9cc3cd670460580053 2024-09-22    38</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;">10</span> 66cde603c3cd67046057fff5 2024-09-22    38</span></span>
<span><span class="co">#&gt; <span style="color: #949494;"># ℹ 17,882 more rows</span></span></span></code></pre></div>
<p>Another frequently required augmentation is
<code><a href="../reference/add_country_code_long.html">rdb::add_country_code_long()</a></code> which adds an additional
column <code>country_code_long</code> containing the <a href="https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3" class="external-link">ISO 3166-1
alpha-3</a> code. These three-letter codes are often required to join
RDB referendum data with data from other sources.</p>
<p>See the package reference for <a href="https://rdb.rpkg.dev/reference/index.html#augmentation">all
available data augmentation functions</a>.</p>
</div>
<div class="section level3">
<h3 id="transform-data">Transform data<a class="anchor" aria-label="anchor" href="#transform-data"></a>
</h3>
<p>For certain analyses, it might come in handy to transform the
referendum data to a different shape beforehand. For a few such
transformations, rdb provides ready-made functions.</p>
<p><code><a href="../reference/as_ballot_dates.html">rdb::as_ballot_dates()</a></code> for example transforms the
default referendum-level observations to ones on the level of ballot
date and jurisdiction:</p>
<div class="sourceCode" id="cb6"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/rfrnds.html">rfrnds</a></span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span> <span class="fu"><a href="https://rdrr.io/r/base/nrow.html" class="external-link">nrow</a></span><span class="op">(</span><span class="op">)</span></span>
<span><span class="co">#&gt; [1] 17892</span></span>
<span></span>
<span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/rfrnds.html">rfrnds</a></span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span> <span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/as_ballot_dates.html">as_ballot_dates</a></span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span> <span class="fu"><a href="https://rdrr.io/r/base/nrow.html" class="external-link">nrow</a></span><span class="op">(</span><span class="op">)</span></span>
<span><span class="co">#&gt; [1] 5939</span></span></code></pre></div>
<p>Noteworthy is also <code><a href="../reference/unnest_var.html">rdb::unnest_var()</a></code> which provides a
convenient and standardized way to unnest a multi-value variable of type
list like the <a href="https://rdb.rpkg.dev/articles/codebook.html#topics"><code>topics_tier_*</code>
variables</a> to long format.</p>
<div class="sourceCode" id="cb7"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/rfrnds.html">rfrnds</a></span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span> <span class="fu"><a href="https://rdrr.io/r/base/nrow.html" class="external-link">nrow</a></span><span class="op">(</span><span class="op">)</span></span>
<span><span class="co">#&gt; [1] 17892</span></span>
<span></span>
<span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/rfrnds.html">rfrnds</a></span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span> <span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/unnest_var.html">unnest_var</a></span><span class="op">(</span><span class="va">topics_tier_1</span><span class="op">)</span> <span class="op">|&gt;</span> <span class="fu"><a href="https://rdrr.io/r/base/nrow.html" class="external-link">nrow</a></span><span class="op">(</span><span class="op">)</span></span>
<span><span class="co">#&gt; [1] 21672</span></span></code></pre></div>
<p>See the package reference for <a href="https://rdb.rpkg.dev/reference/index.html#transformation">all
available data transformation functions</a>.</p>
</div>
<div class="section level3">
<h3 id="tabulate-and-visualize-data">Tabulate and visualize data<a class="anchor" aria-label="anchor" href="#tabulate-and-visualize-data"></a>
</h3>
<p>rdb also includes some ready-made convenience functions to create
tables and (interactive) plots.</p>
<p>If you’d like a tabular overview of the top-ten countries by number
of ballot dates per political level for example, you could simply
run</p>
<div class="sourceCode" id="cb8"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/rfrnds.html">rfrnds</a></span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span></span>
<span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/as_ballot_dates.html">as_ballot_dates</a></span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span></span>
<span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/tbl_n_rfrnds.html">tbl_n_rfrnds</a></span><span class="op">(</span>by <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html" class="external-link">c</a></span><span class="op">(</span><span class="va">country_name</span>, <span class="va">level</span><span class="op">)</span>,</span>
<span>                    n_rows <span class="op">=</span> <span class="fl">10L</span>,</span>
<span>                    order <span class="op">=</span> <span class="st">"descending"</span><span class="op">)</span></span></code></pre></div>
<p>and you’d get the following nicely formatted <a href="https://gt.rstudio.com/" class="external-link">gt</a> table:</p>
<div id="qeayjdrzqo" style="padding-left:0px;padding-right:0px;padding-top:10px;padding-bottom:10px;overflow-x:auto;overflow-y:auto;width:auto;height:auto;">
<style>#qeayjdrzqo table {
  font-family: system-ui, 'Segoe UI', Roboto, Helvetica, Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

#qeayjdrzqo thead, #qeayjdrzqo tbody, #qeayjdrzqo tfoot, #qeayjdrzqo tr, #qeayjdrzqo td, #qeayjdrzqo th {
  border-style: none;
}

#qeayjdrzqo p {
  margin: 0;
  padding: 0;
}

#qeayjdrzqo .gt_table {
  display: table;
  border-collapse: collapse;
  line-height: normal;
  margin-left: auto;
  margin-right: auto;
  color: #333333;
  font-size: 16px;
  font-weight: normal;
  font-style: normal;
  background-color: #FFFFFF;
  width: auto;
  border-top-style: solid;
  border-top-width: 2px;
  border-top-color: #A8A8A8;
  border-right-style: none;
  border-right-width: 2px;
  border-right-color: #D3D3D3;
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #A8A8A8;
  border-left-style: none;
  border-left-width: 2px;
  border-left-color: #D3D3D3;
}

#qeayjdrzqo .gt_caption {
  padding-top: 4px;
  padding-bottom: 4px;
}

#qeayjdrzqo .gt_title {
  color: #333333;
  font-size: 125%;
  font-weight: initial;
  padding-top: 4px;
  padding-bottom: 4px;
  padding-left: 5px;
  padding-right: 5px;
  border-bottom-color: #FFFFFF;
  border-bottom-width: 0;
}

#qeayjdrzqo .gt_subtitle {
  color: #333333;
  font-size: 85%;
  font-weight: initial;
  padding-top: 3px;
  padding-bottom: 5px;
  padding-left: 5px;
  padding-right: 5px;
  border-top-color: #FFFFFF;
  border-top-width: 0;
}

#qeayjdrzqo .gt_heading {
  background-color: #FFFFFF;
  text-align: center;
  border-bottom-color: #FFFFFF;
  border-left-style: none;
  border-left-width: 1px;
  border-left-color: #D3D3D3;
  border-right-style: none;
  border-right-width: 1px;
  border-right-color: #D3D3D3;
}

#qeayjdrzqo .gt_bottom_border {
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
}

#qeayjdrzqo .gt_col_headings {
  border-top-style: solid;
  border-top-width: 2px;
  border-top-color: #D3D3D3;
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
  border-left-style: none;
  border-left-width: 1px;
  border-left-color: #D3D3D3;
  border-right-style: none;
  border-right-width: 1px;
  border-right-color: #D3D3D3;
}

#qeayjdrzqo .gt_col_heading {
  color: #333333;
  background-color: #FFFFFF;
  font-size: 100%;
  font-weight: normal;
  text-transform: inherit;
  border-left-style: none;
  border-left-width: 1px;
  border-left-color: #D3D3D3;
  border-right-style: none;
  border-right-width: 1px;
  border-right-color: #D3D3D3;
  vertical-align: bottom;
  padding-top: 5px;
  padding-bottom: 6px;
  padding-left: 5px;
  padding-right: 5px;
  overflow-x: hidden;
}

#qeayjdrzqo .gt_column_spanner_outer {
  color: #333333;
  background-color: #FFFFFF;
  font-size: 100%;
  font-weight: normal;
  text-transform: inherit;
  padding-top: 0;
  padding-bottom: 0;
  padding-left: 4px;
  padding-right: 4px;
}

#qeayjdrzqo .gt_column_spanner_outer:first-child {
  padding-left: 0;
}

#qeayjdrzqo .gt_column_spanner_outer:last-child {
  padding-right: 0;
}

#qeayjdrzqo .gt_column_spanner {
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
  vertical-align: bottom;
  padding-top: 5px;
  padding-bottom: 5px;
  overflow-x: hidden;
  display: inline-block;
  width: 100%;
}

#qeayjdrzqo .gt_spanner_row {
  border-bottom-style: hidden;
}

#qeayjdrzqo .gt_group_heading {
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 5px;
  padding-right: 5px;
  color: #333333;
  background-color: #FFFFFF;
  font-size: 100%;
  font-weight: initial;
  text-transform: inherit;
  border-top-style: solid;
  border-top-width: 2px;
  border-top-color: #D3D3D3;
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
  border-left-style: none;
  border-left-width: 1px;
  border-left-color: #D3D3D3;
  border-right-style: none;
  border-right-width: 1px;
  border-right-color: #D3D3D3;
  vertical-align: middle;
  text-align: left;
}

#qeayjdrzqo .gt_empty_group_heading {
  padding: 0.5px;
  color: #333333;
  background-color: #FFFFFF;
  font-size: 100%;
  font-weight: initial;
  border-top-style: solid;
  border-top-width: 2px;
  border-top-color: #D3D3D3;
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
  vertical-align: middle;
}

#qeayjdrzqo .gt_from_md > :first-child {
  margin-top: 0;
}

#qeayjdrzqo .gt_from_md > :last-child {
  margin-bottom: 0;
}

#qeayjdrzqo .gt_row {
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 5px;
  padding-right: 5px;
  margin: 10px;
  border-top-style: solid;
  border-top-width: 1px;
  border-top-color: #D3D3D3;
  border-left-style: none;
  border-left-width: 1px;
  border-left-color: #D3D3D3;
  border-right-style: none;
  border-right-width: 1px;
  border-right-color: #D3D3D3;
  vertical-align: middle;
  overflow-x: hidden;
}

#qeayjdrzqo .gt_stub {
  color: #333333;
  background-color: #FFFFFF;
  font-size: 100%;
  font-weight: initial;
  text-transform: inherit;
  border-right-style: solid;
  border-right-width: 2px;
  border-right-color: #D3D3D3;
  padding-left: 5px;
  padding-right: 5px;
}

#qeayjdrzqo .gt_stub_row_group {
  color: #333333;
  background-color: #FFFFFF;
  font-size: 100%;
  font-weight: initial;
  text-transform: inherit;
  border-right-style: solid;
  border-right-width: 2px;
  border-right-color: #D3D3D3;
  padding-left: 5px;
  padding-right: 5px;
  vertical-align: top;
}

#qeayjdrzqo .gt_row_group_first td {
  border-top-width: 2px;
}

#qeayjdrzqo .gt_row_group_first th {
  border-top-width: 2px;
}

#qeayjdrzqo .gt_summary_row {
  color: #333333;
  background-color: #FFFFFF;
  text-transform: inherit;
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 5px;
  padding-right: 5px;
}

#qeayjdrzqo .gt_first_summary_row {
  border-top-style: solid;
  border-top-color: #D3D3D3;
}

#qeayjdrzqo .gt_first_summary_row.thick {
  border-top-width: 2px;
}

#qeayjdrzqo .gt_last_summary_row {
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 5px;
  padding-right: 5px;
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
}

#qeayjdrzqo .gt_grand_summary_row {
  color: #333333;
  background-color: #FFFFFF;
  text-transform: inherit;
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 5px;
  padding-right: 5px;
}

#qeayjdrzqo .gt_first_grand_summary_row {
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 5px;
  padding-right: 5px;
  border-top-style: double;
  border-top-width: 6px;
  border-top-color: #D3D3D3;
}

#qeayjdrzqo .gt_last_grand_summary_row_top {
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 5px;
  padding-right: 5px;
  border-bottom-style: double;
  border-bottom-width: 6px;
  border-bottom-color: #D3D3D3;
}

#qeayjdrzqo .gt_striped {
  background-color: rgba(128, 128, 128, 0.05);
}

#qeayjdrzqo .gt_table_body {
  border-top-style: solid;
  border-top-width: 2px;
  border-top-color: #D3D3D3;
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
}

#qeayjdrzqo .gt_footnotes {
  color: #333333;
  background-color: #FFFFFF;
  border-bottom-style: none;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
  border-left-style: none;
  border-left-width: 2px;
  border-left-color: #D3D3D3;
  border-right-style: none;
  border-right-width: 2px;
  border-right-color: #D3D3D3;
}

#qeayjdrzqo .gt_footnote {
  margin: 0px;
  font-size: 90%;
  padding-top: 4px;
  padding-bottom: 4px;
  padding-left: 5px;
  padding-right: 5px;
}

#qeayjdrzqo .gt_sourcenotes {
  color: #333333;
  background-color: #FFFFFF;
  border-bottom-style: none;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
  border-left-style: none;
  border-left-width: 2px;
  border-left-color: #D3D3D3;
  border-right-style: none;
  border-right-width: 2px;
  border-right-color: #D3D3D3;
}

#qeayjdrzqo .gt_sourcenote {
  font-size: 90%;
  padding-top: 4px;
  padding-bottom: 4px;
  padding-left: 5px;
  padding-right: 5px;
}

#qeayjdrzqo .gt_left {
  text-align: left;
}

#qeayjdrzqo .gt_center {
  text-align: center;
}

#qeayjdrzqo .gt_right {
  text-align: right;
  font-variant-numeric: tabular-nums;
}

#qeayjdrzqo .gt_font_normal {
  font-weight: normal;
}

#qeayjdrzqo .gt_font_bold {
  font-weight: bold;
}

#qeayjdrzqo .gt_font_italic {
  font-style: italic;
}

#qeayjdrzqo .gt_super {
  font-size: 65%;
}

#qeayjdrzqo .gt_footnote_marks {
  font-size: 75%;
  vertical-align: 0.4em;
  position: initial;
}

#qeayjdrzqo .gt_asterisk {
  font-size: 100%;
  vertical-align: 0;
}

#qeayjdrzqo .gt_indent_1 {
  text-indent: 5px;
}

#qeayjdrzqo .gt_indent_2 {
  text-indent: 10px;
}

#qeayjdrzqo .gt_indent_3 {
  text-indent: 15px;
}

#qeayjdrzqo .gt_indent_4 {
  text-indent: 20px;
}

#qeayjdrzqo .gt_indent_5 {
  text-indent: 25px;
}

#qeayjdrzqo .katex-display {
  display: inline-flex !important;
  margin-bottom: 0.75em !important;
}

#qeayjdrzqo div.Reactable > div.rt-table > div.rt-thead > div.rt-tr.rt-tr-group-header > div.rt-th-group:after {
  height: 0px !important;
}
</style>
<table class="table gt_table" data-quarto-disable-processing="false" data-quarto-bootstrap="false">
<thead><tr class="gt_col_headings">
<th class="gt_col_heading gt_columns_bottom_border gt_left" rowspan="1" colspan="1" style="text-align: right; vertical-align: middle;" scope="col" id="a::stub"><span class="gt_from_md"><em>Political level</em></span></th>
      <th class="gt_col_heading gt_columns_bottom_border gt_right" rowspan="1" colspan="1" scope="col" id="local">local</th>
      <th class="gt_col_heading gt_columns_bottom_border gt_right" rowspan="1" colspan="1" scope="col" id="subnational">subnational</th>
      <th class="gt_col_heading gt_columns_bottom_border gt_right" rowspan="1" colspan="1" scope="col" id="national">national</th>
      <th class="gt_col_heading gt_columns_bottom_border gt_right" rowspan="1" colspan="1" scope="col" id="a:total"><span class="gt_from_md"><strong>Total</strong></span></th>
    </tr></thead>
<tbody class="gt_table_body">
<tr class="gt_group_heading_row">
<th colspan="5" class="gt_group_heading" scope="colgroup" id="&lt;span class='gt_from_md'&gt;&lt;em&gt;Country&lt;/em&gt;&lt;/span&gt;"><span class="gt_from_md"><em>Country</em></span></th>
    </tr>
<tr class="gt_row_group_first">
<th id="stub_1_1" scope="row" class="gt_row gt_left gt_stub"><span class="gt_from_md">Switzerland</span></th>
<td headers="country_name stub_1_1 local" class="gt_row gt_right">1</td>
<td headers="country_name stub_1_1 subnational" class="gt_row gt_right">2707</td>
<td headers="country_name stub_1_1 national" class="gt_row gt_right">327</td>
<td headers="country_name stub_1_1 :total" class="gt_row gt_right">3035</td>
</tr>
<tr>
<th id="stub_1_2" scope="row" class="gt_row gt_left gt_stub"><span class="gt_from_md">United States</span></th>
<td headers="country_name stub_1_2 local" class="gt_row gt_right">0</td>
<td headers="country_name stub_1_2 subnational" class="gt_row gt_right">1252</td>
<td headers="country_name stub_1_2 national" class="gt_row gt_right">0</td>
<td headers="country_name stub_1_2 :total" class="gt_row gt_right">1252</td>
</tr>
<tr>
<th id="stub_1_3" scope="row" class="gt_row gt_left gt_stub"><span class="gt_from_md">Liechtenstein</span></th>
<td headers="country_name stub_1_3 local" class="gt_row gt_right">0</td>
<td headers="country_name stub_1_3 subnational" class="gt_row gt_right">0</td>
<td headers="country_name stub_1_3 national" class="gt_row gt_right">92</td>
<td headers="country_name stub_1_3 :total" class="gt_row gt_right">92</td>
</tr>
<tr>
<th id="stub_1_4" scope="row" class="gt_row gt_left gt_stub"><span class="gt_from_md">Germany</span></th>
<td headers="country_name stub_1_4 local" class="gt_row gt_right">0</td>
<td headers="country_name stub_1_4 subnational" class="gt_row gt_right">59</td>
<td headers="country_name stub_1_4 national" class="gt_row gt_right">9</td>
<td headers="country_name stub_1_4 :total" class="gt_row gt_right">68</td>
</tr>
<tr>
<th id="stub_1_5" scope="row" class="gt_row gt_left gt_stub"><span class="gt_from_md">Italy</span></th>
<td headers="country_name stub_1_5 local" class="gt_row gt_right">5</td>
<td headers="country_name stub_1_5 subnational" class="gt_row gt_right">20</td>
<td headers="country_name stub_1_5 national" class="gt_row gt_right">33</td>
<td headers="country_name stub_1_5 :total" class="gt_row gt_right">58</td>
</tr>
<tr>
<th id="stub_1_6" scope="row" class="gt_row gt_left gt_stub"><span class="gt_from_md">New Zealand</span></th>
<td headers="country_name stub_1_6 local" class="gt_row gt_right">0</td>
<td headers="country_name stub_1_6 subnational" class="gt_row gt_right">2</td>
<td headers="country_name stub_1_6 national" class="gt_row gt_right">46</td>
<td headers="country_name stub_1_6 :total" class="gt_row gt_right">48</td>
</tr>
<tr>
<th id="stub_1_7" scope="row" class="gt_row gt_left gt_stub"><span class="gt_from_md">Australia</span></th>
<td headers="country_name stub_1_7 local" class="gt_row gt_right">0</td>
<td headers="country_name stub_1_7 subnational" class="gt_row gt_right">20</td>
<td headers="country_name stub_1_7 national" class="gt_row gt_right">25</td>
<td headers="country_name stub_1_7 :total" class="gt_row gt_right">45</td>
</tr>
<tr>
<th id="stub_1_8" scope="row" class="gt_row gt_left gt_stub"><span class="gt_from_md">France</span></th>
<td headers="country_name stub_1_8 local" class="gt_row gt_right">2</td>
<td headers="country_name stub_1_8 subnational" class="gt_row gt_right">16</td>
<td headers="country_name stub_1_8 national" class="gt_row gt_right">27</td>
<td headers="country_name stub_1_8 :total" class="gt_row gt_right">45</td>
</tr>
<tr>
<th id="stub_1_9" scope="row" class="gt_row gt_left gt_stub"><span class="gt_from_md">Canada</span></th>
<td headers="country_name stub_1_9 local" class="gt_row gt_right">0</td>
<td headers="country_name stub_1_9 subnational" class="gt_row gt_right">33</td>
<td headers="country_name stub_1_9 national" class="gt_row gt_right">3</td>
<td headers="country_name stub_1_9 :total" class="gt_row gt_right">36</td>
</tr>
<tr>
<th id="stub_1_10" scope="row" class="gt_row gt_left gt_stub"><span class="gt_from_md">Ireland</span></th>
<td headers="country_name stub_1_10 local" class="gt_row gt_right">0</td>
<td headers="country_name stub_1_10 subnational" class="gt_row gt_right">0</td>
<td headers="country_name stub_1_10 national" class="gt_row gt_right">32</td>
<td headers="country_name stub_1_10 :total" class="gt_row gt_right">32</td>
</tr>
<tr>
<th id="stub_1_11" scope="row" class="gt_row gt_left gt_stub"><span class="gt_from_md">…</span></th>
<td headers="country_name stub_1_11 local" class="gt_row gt_right">…</td>
<td headers="country_name stub_1_11 subnational" class="gt_row gt_right">…</td>
<td headers="country_name stub_1_11 national" class="gt_row gt_right">…</td>
<td headers="country_name stub_1_11 :total" class="gt_row gt_right">…</td>
</tr>
<tr>
<th id="stub_1_12" scope="row" class="gt_row gt_left gt_stub" style="border-top-width: 6px; border-top-style: double; border-top-color: #D3D3D3;"><span class="gt_from_md"><strong>Total</strong></span></th>
<td headers="country_name stub_1_12 local" class="gt_row gt_right" style="border-top-width: 6px; border-top-style: double; border-top-color: #D3D3D3;">22</td>
<td headers="country_name stub_1_12 subnational" class="gt_row gt_right" style="border-top-width: 6px; border-top-style: double; border-top-color: #D3D3D3;">4284</td>
<td headers="country_name stub_1_12 national" class="gt_row gt_right" style="border-top-width: 6px; border-top-style: double; border-top-color: #D3D3D3;">1633</td>
<td headers="country_name stub_1_12 :total" class="gt_row gt_right" style="border-top-width: 6px; border-top-style: double; border-top-color: #D3D3D3;">5939</td>
</tr>
</tbody>
</table>
</div>
<p>A table of the number of referendums in the <a href="https://rdb.rpkg.dev/reference/add_world_regions.html">UN
subregion</a> <em>Polynesia</em> since 2010 per a certain period, say
years, can be generated via</p>
<div class="sourceCode" id="cb9"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/rfrnds.html">rfrnds</a></span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span></span>
<span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/add_world_regions.html">add_world_regions</a></span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span></span>
<span>  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html" class="external-link">filter</a></span><span class="op">(</span><span class="va">un_subregion</span> <span class="op">==</span> <span class="st">"Polynesia"</span> <span class="op">&amp;</span> <span class="va">date</span> <span class="op">&gt;</span> <span class="st">"2009-12-31"</span><span class="op">)</span> <span class="op">|&gt;</span></span>
<span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/tbl_n_rfrnds_per_period.html">tbl_n_rfrnds_per_period</a></span><span class="op">(</span>period <span class="op">=</span> <span class="st">"year"</span><span class="op">)</span></span></code></pre></div>
<div id="ysqnnofxok" style="padding-left:0px;padding-right:0px;padding-top:10px;padding-bottom:10px;overflow-x:auto;overflow-y:auto;width:auto;height:auto;">
<style>#ysqnnofxok table {
  font-family: system-ui, 'Segoe UI', Roboto, Helvetica, Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

#ysqnnofxok thead, #ysqnnofxok tbody, #ysqnnofxok tfoot, #ysqnnofxok tr, #ysqnnofxok td, #ysqnnofxok th {
  border-style: none;
}

#ysqnnofxok p {
  margin: 0;
  padding: 0;
}

#ysqnnofxok .gt_table {
  display: table;
  border-collapse: collapse;
  line-height: normal;
  margin-left: auto;
  margin-right: auto;
  color: #333333;
  font-size: 16px;
  font-weight: normal;
  font-style: normal;
  background-color: #FFFFFF;
  width: auto;
  border-top-style: solid;
  border-top-width: 2px;
  border-top-color: #A8A8A8;
  border-right-style: none;
  border-right-width: 2px;
  border-right-color: #D3D3D3;
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #A8A8A8;
  border-left-style: none;
  border-left-width: 2px;
  border-left-color: #D3D3D3;
}

#ysqnnofxok .gt_caption {
  padding-top: 4px;
  padding-bottom: 4px;
}

#ysqnnofxok .gt_title {
  color: #333333;
  font-size: 125%;
  font-weight: initial;
  padding-top: 4px;
  padding-bottom: 4px;
  padding-left: 5px;
  padding-right: 5px;
  border-bottom-color: #FFFFFF;
  border-bottom-width: 0;
}

#ysqnnofxok .gt_subtitle {
  color: #333333;
  font-size: 85%;
  font-weight: initial;
  padding-top: 3px;
  padding-bottom: 5px;
  padding-left: 5px;
  padding-right: 5px;
  border-top-color: #FFFFFF;
  border-top-width: 0;
}

#ysqnnofxok .gt_heading {
  background-color: #FFFFFF;
  text-align: center;
  border-bottom-color: #FFFFFF;
  border-left-style: none;
  border-left-width: 1px;
  border-left-color: #D3D3D3;
  border-right-style: none;
  border-right-width: 1px;
  border-right-color: #D3D3D3;
}

#ysqnnofxok .gt_bottom_border {
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
}

#ysqnnofxok .gt_col_headings {
  border-top-style: solid;
  border-top-width: 2px;
  border-top-color: #D3D3D3;
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
  border-left-style: none;
  border-left-width: 1px;
  border-left-color: #D3D3D3;
  border-right-style: none;
  border-right-width: 1px;
  border-right-color: #D3D3D3;
}

#ysqnnofxok .gt_col_heading {
  color: #333333;
  background-color: #FFFFFF;
  font-size: 100%;
  font-weight: normal;
  text-transform: inherit;
  border-left-style: none;
  border-left-width: 1px;
  border-left-color: #D3D3D3;
  border-right-style: none;
  border-right-width: 1px;
  border-right-color: #D3D3D3;
  vertical-align: bottom;
  padding-top: 5px;
  padding-bottom: 6px;
  padding-left: 5px;
  padding-right: 5px;
  overflow-x: hidden;
}

#ysqnnofxok .gt_column_spanner_outer {
  color: #333333;
  background-color: #FFFFFF;
  font-size: 100%;
  font-weight: normal;
  text-transform: inherit;
  padding-top: 0;
  padding-bottom: 0;
  padding-left: 4px;
  padding-right: 4px;
}

#ysqnnofxok .gt_column_spanner_outer:first-child {
  padding-left: 0;
}

#ysqnnofxok .gt_column_spanner_outer:last-child {
  padding-right: 0;
}

#ysqnnofxok .gt_column_spanner {
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
  vertical-align: bottom;
  padding-top: 5px;
  padding-bottom: 5px;
  overflow-x: hidden;
  display: inline-block;
  width: 100%;
}

#ysqnnofxok .gt_spanner_row {
  border-bottom-style: hidden;
}

#ysqnnofxok .gt_group_heading {
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 5px;
  padding-right: 5px;
  color: #333333;
  background-color: #FFFFFF;
  font-size: 100%;
  font-weight: initial;
  text-transform: inherit;
  border-top-style: solid;
  border-top-width: 2px;
  border-top-color: #D3D3D3;
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
  border-left-style: none;
  border-left-width: 1px;
  border-left-color: #D3D3D3;
  border-right-style: none;
  border-right-width: 1px;
  border-right-color: #D3D3D3;
  vertical-align: middle;
  text-align: left;
}

#ysqnnofxok .gt_empty_group_heading {
  padding: 0.5px;
  color: #333333;
  background-color: #FFFFFF;
  font-size: 100%;
  font-weight: initial;
  border-top-style: solid;
  border-top-width: 2px;
  border-top-color: #D3D3D3;
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
  vertical-align: middle;
}

#ysqnnofxok .gt_from_md > :first-child {
  margin-top: 0;
}

#ysqnnofxok .gt_from_md > :last-child {
  margin-bottom: 0;
}

#ysqnnofxok .gt_row {
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 5px;
  padding-right: 5px;
  margin: 10px;
  border-top-style: solid;
  border-top-width: 1px;
  border-top-color: #D3D3D3;
  border-left-style: none;
  border-left-width: 1px;
  border-left-color: #D3D3D3;
  border-right-style: none;
  border-right-width: 1px;
  border-right-color: #D3D3D3;
  vertical-align: middle;
  overflow-x: hidden;
}

#ysqnnofxok .gt_stub {
  color: #333333;
  background-color: #FFFFFF;
  font-size: 100%;
  font-weight: initial;
  text-transform: inherit;
  border-right-style: solid;
  border-right-width: 2px;
  border-right-color: #D3D3D3;
  padding-left: 5px;
  padding-right: 5px;
}

#ysqnnofxok .gt_stub_row_group {
  color: #333333;
  background-color: #FFFFFF;
  font-size: 100%;
  font-weight: initial;
  text-transform: inherit;
  border-right-style: solid;
  border-right-width: 2px;
  border-right-color: #D3D3D3;
  padding-left: 5px;
  padding-right: 5px;
  vertical-align: top;
}

#ysqnnofxok .gt_row_group_first td {
  border-top-width: 2px;
}

#ysqnnofxok .gt_row_group_first th {
  border-top-width: 2px;
}

#ysqnnofxok .gt_summary_row {
  color: #333333;
  background-color: #FFFFFF;
  text-transform: inherit;
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 5px;
  padding-right: 5px;
}

#ysqnnofxok .gt_first_summary_row {
  border-top-style: solid;
  border-top-color: #D3D3D3;
}

#ysqnnofxok .gt_first_summary_row.thick {
  border-top-width: 2px;
}

#ysqnnofxok .gt_last_summary_row {
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 5px;
  padding-right: 5px;
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
}

#ysqnnofxok .gt_grand_summary_row {
  color: #333333;
  background-color: #FFFFFF;
  text-transform: inherit;
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 5px;
  padding-right: 5px;
}

#ysqnnofxok .gt_first_grand_summary_row {
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 5px;
  padding-right: 5px;
  border-top-style: double;
  border-top-width: 6px;
  border-top-color: #D3D3D3;
}

#ysqnnofxok .gt_last_grand_summary_row_top {
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 5px;
  padding-right: 5px;
  border-bottom-style: double;
  border-bottom-width: 6px;
  border-bottom-color: #D3D3D3;
}

#ysqnnofxok .gt_striped {
  background-color: rgba(128, 128, 128, 0.05);
}

#ysqnnofxok .gt_table_body {
  border-top-style: solid;
  border-top-width: 2px;
  border-top-color: #D3D3D3;
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
}

#ysqnnofxok .gt_footnotes {
  color: #333333;
  background-color: #FFFFFF;
  border-bottom-style: none;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
  border-left-style: none;
  border-left-width: 2px;
  border-left-color: #D3D3D3;
  border-right-style: none;
  border-right-width: 2px;
  border-right-color: #D3D3D3;
}

#ysqnnofxok .gt_footnote {
  margin: 0px;
  font-size: 90%;
  padding-top: 4px;
  padding-bottom: 4px;
  padding-left: 5px;
  padding-right: 5px;
}

#ysqnnofxok .gt_sourcenotes {
  color: #333333;
  background-color: #FFFFFF;
  border-bottom-style: none;
  border-bottom-width: 2px;
  border-bottom-color: #D3D3D3;
  border-left-style: none;
  border-left-width: 2px;
  border-left-color: #D3D3D3;
  border-right-style: none;
  border-right-width: 2px;
  border-right-color: #D3D3D3;
}

#ysqnnofxok .gt_sourcenote {
  font-size: 90%;
  padding-top: 4px;
  padding-bottom: 4px;
  padding-left: 5px;
  padding-right: 5px;
}

#ysqnnofxok .gt_left {
  text-align: left;
}

#ysqnnofxok .gt_center {
  text-align: center;
}

#ysqnnofxok .gt_right {
  text-align: right;
  font-variant-numeric: tabular-nums;
}

#ysqnnofxok .gt_font_normal {
  font-weight: normal;
}

#ysqnnofxok .gt_font_bold {
  font-weight: bold;
}

#ysqnnofxok .gt_font_italic {
  font-style: italic;
}

#ysqnnofxok .gt_super {
  font-size: 65%;
}

#ysqnnofxok .gt_footnote_marks {
  font-size: 75%;
  vertical-align: 0.4em;
  position: initial;
}

#ysqnnofxok .gt_asterisk {
  font-size: 100%;
  vertical-align: 0;
}

#ysqnnofxok .gt_indent_1 {
  text-indent: 5px;
}

#ysqnnofxok .gt_indent_2 {
  text-indent: 10px;
}

#ysqnnofxok .gt_indent_3 {
  text-indent: 15px;
}

#ysqnnofxok .gt_indent_4 {
  text-indent: 20px;
}

#ysqnnofxok .gt_indent_5 {
  text-indent: 25px;
}

#ysqnnofxok .katex-display {
  display: inline-flex !important;
  margin-bottom: 0.75em !important;
}

#ysqnnofxok div.Reactable > div.rt-table > div.rt-thead > div.rt-tr.rt-tr-group-header > div.rt-th-group:after {
  height: 0px !important;
}
</style>
<table class="table gt_table" data-quarto-disable-processing="false" data-quarto-bootstrap="false">
<thead><tr class="gt_col_headings">
<th class="gt_col_heading gt_columns_bottom_border gt_left" rowspan="1" colspan="1" style="text-align: right; vertical-align: middle;" scope="col" id="a::stub"><span class="gt_from_md"></span></th>
      <th class="gt_col_heading gt_columns_bottom_border gt_right" rowspan="1" colspan="1" scope="col" id="n">n</th>
    </tr></thead>
<tbody class="gt_table_body">
<tr>
<th id="stub_1_1" scope="row" class="gt_row gt_left gt_stub">2022</th>
<td headers="stub_1_1 n" class="gt_row gt_right">12</td>
</tr>
<tr>
<th id="stub_1_2" scope="row" class="gt_row gt_left gt_stub">2019–2021</th>
<td headers="stub_1_2 n" class="gt_row gt_right">0</td>
</tr>
<tr>
<th id="stub_1_3" scope="row" class="gt_row gt_left gt_stub">2018</th>
<td headers="stub_1_3 n" class="gt_row gt_right">1</td>
</tr>
<tr>
<th id="stub_1_4" scope="row" class="gt_row gt_left gt_stub">2015–2017</th>
<td headers="stub_1_4 n" class="gt_row gt_right">0</td>
</tr>
<tr>
<th id="stub_1_5" scope="row" class="gt_row gt_left gt_stub">2014</th>
<td headers="stub_1_5 n" class="gt_row gt_right">1</td>
</tr>
<tr>
<th id="stub_1_6" scope="row" class="gt_row gt_left gt_stub">2013</th>
<td headers="stub_1_6 n" class="gt_row gt_right">0</td>
</tr>
<tr>
<th id="stub_1_7" scope="row" class="gt_row gt_left gt_stub">2012</th>
<td headers="stub_1_7 n" class="gt_row gt_right">2</td>
</tr>
<tr>
<th id="stub_1_8" scope="row" class="gt_row gt_left gt_stub">2011</th>
<td headers="stub_1_8 n" class="gt_row gt_right">0</td>
</tr>
<tr>
<th id="stub_1_9" scope="row" class="gt_row gt_left gt_stub">2010</th>
<td headers="stub_1_9 n" class="gt_row gt_right">2</td>
</tr>
<tr>
<th id="grand_summary_stub_1" scope="row" class="gt_row gt_left gt_stub gt_grand_summary_row gt_first_grand_summary_row gt_last_summary_row"><span class="gt_from_md"><strong>Total</strong></span></th>
<td headers="grand_summary_stub_1 n" class="gt_row gt_right gt_grand_summary_row gt_first_grand_summary_row gt_last_summary_row">18</td>
</tr>
</tbody>
</table>
</div>
<p>Or a stacked area chart visualizing the worldwide share of
referendums per year since 1950, grouped by <a href="https://rdb.rpkg.dev/articles/codebook.html#level">political
level</a>:</p>
<div class="sourceCode" id="cb10"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/rfrnds.html">rfrnds</a></span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span></span>
<span>  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html" class="external-link">filter</a></span><span class="op">(</span><span class="va">date</span> <span class="op">&gt;=</span> <span class="st">"1950-01-01"</span><span class="op">)</span> <span class="op">|&gt;</span></span>
<span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/tbl_n_rfrnds_per_period.html">tbl_n_rfrnds_per_period</a></span><span class="op">(</span>period <span class="op">=</span> <span class="st">"year"</span>,</span>
<span>                               by <span class="op">=</span> <span class="st">"level"</span><span class="op">)</span></span></code></pre></div>
<div class="plotly html-widget html-fill-item" id="htmlwidget-30e4409849e39179307f" style="width:700px;height:432.632880098888px;"></div>
<script type="application/json" data-for="htmlwidget-30e4409849e39179307f">{"x":{"visdat":{"trace_0":["function () ","plotlyVisDat"]},"cur_data":"trace_0","attrs":{"trace_0":{"mode":"none","stackgroup":"one","groupnorm":"percent","x":{},"y":{},"name":{},"alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"scatter"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"hovermode":"x","legend":{"orientation":"h"},"xaxis":{"domain":[0,1],"automargin":true,"dtick":10,"showgrid":false,"ticklabelstep":5,"range":[],"ticks":"outside","title":{"text":[]}},"yaxis":{"domain":[0,1],"automargin":true,"fixedrange":true,"hoverformat":".1f","showgrid":false,"ticksuffix":" % ","title":{"text":[]}},"shapes":[{"type":"line","y0":0,"y1":1,"yref":"paper","x0":1950,"x1":1950,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":2000,"x1":2000,"line":{"color":"#fff","width":0.20000000000000001}}],"showlegend":true},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false},"data":[{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1950,1951,1952,1953,1954,1955,1956,1957,1958,1959,1960,1961,1962,1963,1964,1965,1966,1967,1968,1969,1970,1971,1972,1973,1974,1975,1976,1977,1978,1979,1980,1981,1982,1983,1984,1985,1986,1987,1988,1989,1990,1991,1992,1993,1994,1995,1996,1997,1998,1999,2000,2001,2002,2003,2004,2005,2006,2007,2008,2009,2010,2011,2012,2013,2014,2015,2016,2017,2018,2019,2020,2021,2022,2023,2024],"y":[9,10,15,15,12,9,11,13,34,9,13,31,18,22,12,7,12,17,17,22,23,15,30,26,18,37,34,48,46,22,25,24,22,26,31,69,28,50,18,24,51,64,66,62,74,92,68,48,35,50,52,34,54,59,49,46,24,30,62,66,31,56,43,30,42,36,82,21,69,19,35,24,47,44,30],"name":"national","type":"scatter","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(31,119,180,1)"}},"error_y":{"color":"rgba(31,119,180,1)"},"error_x":{"color":"rgba(31,119,180,1)"},"line":{"color":"rgba(31,119,180,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1950,1951,1952,1953,1954,1955,1956,1957,1958,1959,1960,1961,1962,1963,1964,1965,1966,1967,1968,1969,1970,1971,1972,1973,1974,1975,1976,1977,1978,1979,1980,1981,1982,1983,1984,1985,1986,1987,1988,1989,1990,1991,1992,1993,1994,1995,1996,1997,1998,1999,2000,2001,2002,2003,2004,2005,2006,2007,2008,2009,2010,2011,2012,2013,2014,2015,2016,2017,2018,2019,2020,2021,2022,2023,2024],"y":[81,14,80,10,67,12,68,4,66,5,80,7,90,11,97,18,83,22,123,15,309,199,329,169,292,185,265,154,322,162,352,154,331,139,311,174,325,160,342,153,344,178,312,234,354,198,431,171,427,192,375,161,344,175,297,178,328,190,294,148,160,139,115,93,115,68,112,95,86,88,68,66,65,71,55],"name":"subnational","type":"scatter","marker":{"color":"rgba(255,127,14,1)","line":{"color":"rgba(255,127,14,1)"}},"error_y":{"color":"rgba(255,127,14,1)"},"error_x":{"color":"rgba(255,127,14,1)"},"line":{"color":"rgba(255,127,14,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1964,1990,1991,2000,2001,2002,2003,2004,2005,2007],"y":[6,1,1,2,7,2,1,2,1,1],"name":"local","type":"scatter","marker":{"color":"rgba(44,160,44,1)","line":{"color":"rgba(44,160,44,1)"}},"error_y":{"color":"rgba(44,160,44,1)"},"error_x":{"color":"rgba(44,160,44,1)"},"line":{"color":"rgba(44,160,44,1)"},"xaxis":"x","yaxis":"y","frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script><p>Or, as a final example, the overall (hierarchical) segmentation of
the <a href="https://rdb.rpkg.dev/articles/codebook.html#topics">political
topics</a> all the referendums in the RDB were about:</p>
<div class="sourceCode" id="cb11"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/rfrnds.html">rfrnds</a></span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span> <span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="../reference/plot_topic_segmentation.html">plot_topic_segmentation</a></span><span class="op">(</span>method <span class="op">=</span> <span class="st">"per_topic_lineage"</span><span class="op">)</span></span></code></pre></div>
<div class="plotly html-widget html-fill-item" id="htmlwidget-2e17466358a46d139971" style="width:700px;height:432.632880098888px;"></div>
<script type="application/json" data-for="htmlwidget-2e17466358a46d139971">{"x":{"visdat":{"trace_0":["function () ","plotlyVisDat"]},"cur_data":"trace_0","attrs":{"trace_0":{"labels":{},"parents":{},"ids":{},"values":{},"branchvalues":"total","insidetextorientation":"radial","alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"sunburst"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"hovermode":"closest","showlegend":false},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false},"data":[{"labels":["agriculture","culture, religion and media","economy","education and research","energy","environment and living space","foreign policy","public finance","security policy","social policy","state organisation","transport and infrastructure","European policy","Swiss abroad","agricultural policy","air transport","alternative energy","army","bilateral treaties","budget cuts and remediation measures","citizens' rights","crop production","cultural policy","development cooperation","diplomacy","economic policy","education policy","employment","energy policy","environment","federalism","finance","financial system","fishing, hunting and pets","foreign trade policy","forestry","health","housing","hydro-electric power","institutions","international organisations","language policy","legal system","livestock","media and communication","national economic supply","national identity","nuclear energy","oil and gas","political system","position on foreign policy","post","professional and vocational education","public expenditure","public security","rail transport","religion, churches","research","road transport","schools","shipping","social groups","social security","soil","sport","taxation","telecommunications","tourism and leisure","transport policy","universities","EEA","EFTA","EU","UN","abolition of the armed forces","addictive substances","air quality control","animal protection","animal testing","armed forces in general","arms","banks, stock exchange, insurance","building of residential housing, property ownership","children and young people","citizens' initiatives","citizenship","civil protection","compensation for loss of earnings for persons on military service or civil protection duty","competition policy","conscientious objection, civilian service","constitution","consumer protection","courts","criminal law","customs","data protection","direct taxation","disability insurance","division of tasks","electoral system","employment conditions","employment policy","environmental policy","family policy","freedom of the media","fundamental rights","genetic engineering","goods traffic","government, administration","health and accident insurance","health policy","heavy traffic","homosexuals","hospitality","immigration policy","independence","indirect taxation","industrial relations","intergovernmental relations","international deployment","international law","land law","legislative procedure","lottery and gambling","maternity insurance","media policy","medical research and technology","medicines","military facilities","military organisation","military training","monetary policy","national bank","neutrality","noise protection","occupational benefits provision","other European organisations","other international organisations","parliament","passenger traffic","pension insurance","persons with disabilities","police","press","pricing policy","private law","procedure for constitutional reform","protection of nature and cultural heritage","radio, television and electronic media","referendum","refugees","reproductive medicine","road construction","senior citizens","short-term economic policy","soil protection","spatial planning","state security","status of women","structural policy","tax policy","tax system","tenancy issues","territorial questions","tourism","transit traffic","unemployment insurance","urban transport","voting rights","waste","water pollution control","welfare","working hours","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>"],"parents":["","","","","","","","","","","","","foreign policy","foreign policy","agriculture","transport and infrastructure","energy","security policy","foreign policy","public finance","state organisation","agriculture","culture, religion and media","foreign policy","foreign policy","economy","education and research","economy","energy","environment and living space","state organisation","economy","public finance","agriculture","foreign policy","agriculture","social policy","environment and living space","energy","state organisation","foreign policy","culture, religion and media","state organisation","agriculture","culture, religion and media","security policy","state organisation","energy","energy","state organisation","foreign policy","transport and infrastructure","education and research","public finance","security policy","transport and infrastructure","culture, religion and media","education and research","transport and infrastructure","education and research","transport and infrastructure","social policy","social policy","environment and living space","culture, religion and media","public finance","transport and infrastructure","economy","transport and infrastructure","education and research","European policy","European policy","European policy","international organisations","army","health","environment","environment","research","army","army","finance","housing","social groups","citizens' rights","legal system","public security","social security","economic policy","army","political system","economic policy","institutions","legal system","foreign trade policy","legal system","taxation","social security","federalism","political system","employment","employment","environment","social groups","media and communication","legal system","research","rail transport","institutions","social security","health","road transport","social groups","tourism and leisure","social groups","position on foreign policy","taxation","employment","federalism","army","legal system","soil","political system","tourism and leisure","social security","media and communication","health","health","army","army","army","finance","institutions","position on foreign policy","environment","social security","European policy","international organisations","institutions","rail transport","social security","social groups","public security","media and communication","economic policy","legal system","political system","environment","media and communication","citizens' rights","social groups","health","road transport","social groups","economic policy","environment","soil","public security","social groups","economic policy","taxation","taxation","housing","federalism","tourism and leisure","transport policy","social security","transport policy","citizens' rights","environment","environment","social security","employment","European policy","agriculture","army","citizens' rights","culture, religion and media","economic policy","economy","education and research","employment","energy","environment","environment and living space","federalism","finance","foreign policy","foreign trade policy","health","housing","institutions","international organisations","legal system","media and communication","political system","position on foreign policy","public finance","public security","rail transport","research","road transport","security policy","social groups","social policy","social security","soil","state organisation","taxation","tourism and leisure","transport and infrastructure","transport policy"],"ids":["agriculture","culture, religion and media","economy","education and research","energy","environment and living space","foreign policy","public finance","security policy","social policy","state organisation","transport and infrastructure","European policy","Swiss abroad","agricultural policy","air transport","alternative energy","army","bilateral treaties","budget cuts and remediation measures","citizens' rights","crop production","cultural policy","development cooperation","diplomacy","economic policy","education policy","employment","energy policy","environment","federalism","finance","financial system","fishing, hunting and pets","foreign trade policy","forestry","health","housing","hydro-electric power","institutions","international organisations","language policy","legal system","livestock","media and communication","national economic supply","national identity","nuclear energy","oil and gas","political system","position on foreign policy","post","professional and vocational education","public expenditure","public security","rail transport","religion, churches","research","road transport","schools","shipping","social groups","social security","soil","sport","taxation","telecommunications","tourism and leisure","transport policy","universities","EEA","EFTA","EU","UN","abolition of the armed forces","addictive substances","air quality control","animal protection","animal testing","armed forces in general","arms","banks, stock exchange, insurance","building of residential housing, property ownership","children and young people","citizens' initiatives","citizenship","civil protection","compensation for loss of earnings for persons on military service or civil protection duty","competition policy","conscientious objection, civilian service","constitution","consumer protection","courts","criminal law","customs","data protection","direct taxation","disability insurance","division of tasks","electoral system","employment conditions","employment policy","environmental policy","family policy","freedom of the media","fundamental rights","genetic engineering","goods traffic","government, administration","health and accident insurance","health policy","heavy traffic","homosexuals","hospitality","immigration policy","independence","indirect taxation","industrial relations","intergovernmental relations","international deployment","international law","land law","legislative procedure","lottery and gambling","maternity insurance","media policy","medical research and technology","medicines","military facilities","military organisation","military training","monetary policy","national bank","neutrality","noise protection","occupational benefits provision","other European organisations","other international organisations","parliament","passenger traffic","pension insurance","persons with disabilities","police","press","pricing policy","private law","procedure for constitutional reform","protection of nature and cultural heritage","radio, television and electronic media","referendum","refugees","reproductive medicine","road construction","senior citizens","short-term economic policy","soil protection","spatial planning","state security","status of women","structural policy","tax policy","tax system","tenancy issues","territorial questions","tourism","transit traffic","unemployment insurance","urban transport","voting rights","waste","water pollution control","welfare","working hours","NA_European policy","NA_agriculture","NA_army","NA_citizens' rights","NA_culture, religion and media","NA_economic policy","NA_economy","NA_education and research","NA_employment","NA_energy","NA_environment","NA_environment and living space","NA_federalism","NA_finance","NA_foreign policy","NA_foreign trade policy","NA_health","NA_housing","NA_institutions","NA_international organisations","NA_legal system","NA_media and communication","NA_political system","NA_position on foreign policy","NA_public finance","NA_public security","NA_rail transport","NA_research","NA_road transport","NA_security policy","NA_social groups","NA_social policy","NA_social security","NA_soil","NA_state organisation","NA_taxation","NA_tourism and leisure","NA_transport and infrastructure","NA_transport policy"],"values":[306,336,1159,1548,308,1522,242,1990,436,2723,5345,1250,74,5,73,41,36,107,35,128,719,24,105,7,5,289,543,497,146,706,602,141,61,94,20,50,935,521,27,1510,26,32,756,27,61,16,457,70,11,1266,49,4,146,749,296,120,67,36,404,650,30,1230,514,234,54,949,15,170,296,140,4,1,55,6,5,213,18,88,6,16,28,86,183,557,106,67,89,1,26,7,615,38,279,199,7,28,265,49,101,348,246,64,197,205,5,138,7,5,702,124,377,7,23,56,134,36,82,7,218,5,2,79,76,60,8,10,15,177,19,6,6,25,13,1,28,11,3,10,335,31,125,54,110,3,20,182,86,141,23,95,24,13,170,114,18,41,135,21,99,84,440,46,70,202,32,15,49,42,350,35,69,99,91,11,38,15,168,17,103,62,33,89,18,89,61,81,30,21,13,140,268,181,10,140,20,141,12,103,76,84,23,227,17,20,44,48,20,35,116,22,340,239],"branchvalues":"total","insidetextorientation":"radial","type":"sunburst","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(255,255,255,1)"}},"frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script><p>Again, see the package reference for <a href="https://rdb.rpkg.dev/reference/index.html#visualization">all
available data visualization and tabulation functions</a>. More will
likely be added in the future.</p>
</div>
</div>

  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside>
</div>



    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer>
</div>





  </body>
</html>
